[general]
name = 2D Pattern Maker (modulate);
comments = 2d pattern generator v0.1;
a1_min = 0;
a1_max = 360;
a1_steps = 3000;
a2_min = 0; 
a2_max = 360;
a2_steps = 0;

[param]
name = r1;
title = Radius1 Main;
default = 5;
min = 0;
max = 5;

[param]
name = q1;
title = Radius2 Main;
default = 2.5;
min = 0;
max = 5;

[param]
name = a_1;
title = Offset Main;
default = 1;
min = 0;
max = 1;

[param]
name = t1;
title = Period Main;
default = 3.14;
min = 0;
max = 10;

[param]
name = r2;
title = Radius1 Second;
default = 1;
min = 0;
max = 5;

[param]
name = q2;
title = Radius2 Second;
default = 0.5;
min = 0;
max = 1;

[param]
name = a_2;
title = Offset Second;
default = 1;
min = 0;
max = 1;

[param]
name = t2;
title = Period Second;
default = 31.4;
min = 0;
max = 100;

[formula]
//patterns;

K1 = (r1 + q1) * cos(A1 * t1) - a_1 * cos(((r1 + q1) / q1) * A1 * t1);
K2 = (r1 + r1) * sin(A1 * t1) - a_1 * sin(((r1 + q1) / q1) * A1 * t1);

K3 = - a_2 * cos(((r2 + q2) / q2) * A1 * t2);
K4 = - a_2 * sin(((r2 + q2) / q2) * A1 * t2);

X = K1 + K3;
Y = K2 + K4;
Z = 0;
