[general]
name = Torus Knots;
comments = some Torus Knots;
a1_min = 0;
a1_max = 360;
a1_steps = 400;
a2_min = 0; 
a2_max = 0;
a2_steps = 0;


[param]
name = a;
title = Torus big radius;
default = 100;
min = 0;
max = 200;

[param]
name = b;
title = Torus small radius;
default = 25;
min = 0;
max = 100;

[param]
name = q;
title = twist big r;
default = 3;
min = 0;
max = 10;

[param]
name = p;
title = twist small r;
default = 7;
min = 0;
max = 20;


[formula]
//wire output;

X = (a + b * cos(p * A1)) * cos(q * A1);
Y = b * sin(p * A1);
Z = (a + b * cos(p * A1)) * sin(q * A1);


[preset]
name = default;
a = 100;
b = 25;
q = 3;
p = 7;

[preset]
name = 3,2;
a = 100;
b = 25;
q = 2;
p = 3;

[preset]
name = 4,3;
a = 100;
b = 25;
q = 3;
p = 4;

[preset]
name = 5,2;
a = 100;
b = 25;
q = 2;
p = 5;

[preset]
name = 5,3;
a = 100;
b = 25;
q = 3;
p = 5;


[preset]
name = 5,4;
a = 100;
b = 25;
q = 4;
p = 5;


[preset]
name = 6,5;
a = 100;
b = 25;
q = 5;
p = 6;


[preset]
name = 7,2;
a = 100;
b = 25;
q = 2;
p = 7;


[preset]
name = 7,3;
a = 100;
b = 25;
q = 3;
p = 7;


[preset]
name = 7,4;
a = 100;
b = 25;
q = 4;
p = 7;


[preset]
name = 7,5;
a = 100;
b = 25;
q = 5;
p = 7;


[preset]
name = 7,6;
a = 100;
b = 25;
q = 6;
p = 7;

[preset]
name = 15,2;
a = 100;
b = 25;
q = 2;
p = 15;

[preset]
name = 2,15;
a = 100;
b = 25;
q = 15;
p = 2;
